Subject: Re: putenv does not put env into win32?
From: Earnie Boyd <[email-masked]>
To: Eugene Kanter <[email-masked]>
Cc: cygwin users <[email-masked]>
Date: Tue, 27 Apr 1999 14:58:55 -0700 (PDT)

--- Eugene Kanter <[email-masked]> wrote:
> Earnie Boyd wrote:
> > 
> > --- Eugene Kanter <[email-masked]> wrote:
> > > Any ideas of how to call Win32 versions of getenv/_putenv instead of
> > > cygwin ones?
> > 
> > Use the mingw32 package.  For more info read the docs and search the
> archives.
> 
> I can not use mingw32 package because the rest of the application (RPM)
> requires cygwin. I just scanned archives and FAQ and have not noticed
> any mentions of putenv limitations.
> 

Ok.  But I don't think you can do what you want to anyway.  The putenv function
only modifies the environment of the current process not the parent.  Also,
you're using LoadLibrary which in the documentation is said not to be used; but
to use dlopen, etc. instead.  I'm not experienced enough at this to help beyond
these pointers.
===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]